Jump to content


Photo

Expired key issue?


  • Please log in to reply
16 replies to this topic

#1 tdiguy OFFLINE  

tdiguy

    Advanced Member

  • Members
  • 1119 posts
  • Local time: 09:44 PM

Posted 23 July 2017 - 09:57 PM

I am having issues updating emby, i think i found the underlying issue.

This was the original error:

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://download.opensuse.org  Release: The following signatures were invalid: KEYEXPIRED 1500755520
 
 
W: Some index files failed to download. They have been ignored, or old ones used instead.
 
So I ran: 
pi@raspberrypi:~ $ apt-key list
 
I noticed: 
2015-05-14 [expired: 2017-07-22]
uid                  home:emby OBS Project <home:emby@build.opensuse.org>
 
so i tried running:
apt-key adv --keyserver keys.gnupg.net --recv-keys <key inserted here>
but i got:
"home:emby OBS Project <home:emby@build.opensuse.org>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
 
I am not really sure what to do from here as a work around. When i try doing sudo apt-get install emby it says its at current rev.
 


#2 rdameron OFFLINE  

rdameron

    Newbie

  • Members
  • 4 posts
  • Local time: 06:44 PM

Posted 23 July 2017 - 11:15 PM

I have suddenly received the same error. I also tried to update the key and got the additional error communication failed, unknown pubkey alogrithm.

The expiration date for the key is listed as yesterday 2017-7-22.

Does anyone know why the key won't update?

#3 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 124603 posts
  • Local time: 09:44 PM

Posted 23 July 2017 - 11:19 PM

It's being looked into. Thank you for your patience.



#4 rdameron OFFLINE  

rdameron

    Newbie

  • Members
  • 4 posts
  • Local time: 06:44 PM

Posted 23 July 2017 - 11:23 PM

I am using Ubuntu 16.04 and is causing an internal error because the key has expired so it keeps locking up my kodi. So until there is a fix this shuts down my use of kodi and emby and since we use that as our only TV/Movie source this is a problem. I would very much appriciate any info as soon as anyone has any. Thanks.

#5 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 124603 posts
  • Local time: 09:44 PM

Posted 23 July 2017 - 11:26 PM

I am using Ubuntu 16.04 and is causing an internal error because the key has expired so it keeps locking up my kodi. So until there is a fix this shuts down my use of kodi and emby and since we use that as our only TV/Movie source this is a problem. I would very much appriciate any info as soon as anyone has any. Thanks.

 

Hi, this key has nothing to do with Kodi. The only thing it is doing is preventing you from updating to the new release of Emby Server. You should be able to continue to run the previous release you were running on without any problems. Please let us know if this helps. If you still have an issue, then please see how to report a problem. Thanks !



#6 rdameron OFFLINE  

rdameron

    Newbie

  • Members
  • 4 posts
  • Local time: 06:44 PM

Posted 23 July 2017 - 11:31 PM

Hi, this key has nothing to do with Kodi. The only thing it is doing is preventing you from updating to the new release of Emby Server. You should be able to continue to run the previous release you were running on without any problems. Please let us know if this helps. If you still have an issue, then please see how to report a problem. Thanks !



Just for the record that should be true in theory however in practice when the interl error occours it throws a the error flag which causes a memory issue and locks up kodi making it unresponsive and causing the system to become unstable as the memory can no longer be released until the system is restarted.

#7 rdameron OFFLINE  

rdameron

    Newbie

  • Members
  • 4 posts
  • Local time: 06:44 PM

Posted 23 July 2017 - 11:39 PM

Ok maybe this will help other people out with the same issue I had. I found that by disabling all automatic downloading and or installing of the updates stops the system errors and the system now seems to be running stable but still has the expired key issue.

#8 thatoneguy99 OFFLINE  

thatoneguy99

    Advanced Member

  • Members
  • 334 posts
  • Local time: 09:44 PM
  • LocationVirginia

Posted 24 July 2017 - 05:28 AM

This worked for me. Just follow the key part of the install for whatever version you're on. https://software.ope...age=emby-server


Sent from my phone!

#9 siteripper2 OFFLINE  

siteripper2

    Advanced Member

  • Members
  • 47 posts
  • Local time: 02:44 AM

Posted 24 July 2017 - 05:49 AM

Hello,

 

I also have the problem that on XBOX or Android App it says that I need to upgrade to Premium (though I got a lifetime subscription for 3.x). That error occured a few days ago.

 

When I try to upgrade the repository I also get this error:

 

An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://download.open.../xUbuntu_16.04 Release: The following signatures were invalid: KEYEXPIRED 1500755520

 

I hope this will be fixed soon :)



#10 henryford OFFLINE  

henryford

    Member

  • Members
  • 24 posts
  • Local time: 03:44 AM

Posted 24 July 2017 - 09:22 AM

Just for the record that should be true in theory however in practice when the interl error occours it throws a the error flag which causes a memory issue and locks up kodi making it unresponsive and causing the system to become unstable as the memory can no longer be released until the system is restarted.

What? You should totally look into that because there is no way this should happen because a signature on a package in the repositories expired. Apt will not lock up your memory because of an expired signature - what are you doing in Kodi that this would lock it up?



#11 tdiguy OFFLINE  

tdiguy

    Advanced Member

  • Members
  • 1119 posts
  • Local time: 09:44 PM

Posted 24 July 2017 - 10:26 AM

This worked for me. Just follow the key part of the install for whatever version you're on. https://software.ope...age=emby-server


Sent from my phone!

I can confirm at least for me using the commands from this section:

wget -nv http://download.open...ext/Release.key -O Release.key
sudo apt-key add - < Release.key
sudo apt-get update

 

Updated the key

2015-05-14 [expires: 2019-09-16]
uid                  home:emby OBS Project <home:emby@build.opensuse.org>
 
I can now update.
 
Thank you.

Edited by tdiguy, 24 July 2017 - 10:27 AM.

  • strikegun and blastbass like this

#12 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 124603 posts
  • Local time: 09:44 PM

Posted 24 July 2017 - 12:36 PM

OBS keys expire every two years so what you will need to do is go back to the download page of our website and do the first part of the installation process again, the part where you setup an OBS key. After that you will be able to update. Thanks.
  • robfish and tdiguy like this

#13 markofealing OFFLINE  

markofealing

    Member

  • Members
  • 12 posts
  • Local time: 01:44 AM

Posted 25 July 2017 - 10:00 AM

Just upgraded Emby on Ubuntu 16.04 using tdiguy's suggestion above

 

wget -nv http://download.open...ext/Release.key -O Release.key

sudo apt-key add - < Release.key
sudo apt-get update

 

Worked okay



#14 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 124603 posts
  • Local time: 09:44 PM

Posted 25 July 2017 - 10:33 AM

Thanks for the feedback.

#15 tdiguy OFFLINE  

tdiguy

    Advanced Member

  • Members
  • 1119 posts
  • Local time: 09:44 PM

Posted 25 July 2017 - 12:22 PM

Just to be sure i give credit where credit is due i had followed the suggestion from 

thatoneguy99

 

I simply posted an excerpt from the directions on the link he posted. Ultimately the devs already had the solution to this issue posted. 



#16 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 124603 posts
  • Local time: 09:44 PM

Posted 25 July 2017 - 01:57 PM

Thanks for the feedback. 



#17 thatoneguy99 OFFLINE  

thatoneguy99

    Advanced Member

  • Members
  • 334 posts
  • Local time: 09:44 PM
  • LocationVirginia

Posted 25 July 2017 - 03:34 PM

Haha. I appreciate that. I actually found the solution this in an old thread. Someone was having problems with the install and the key update was the issue. Tried it and it worked.


Sent from my phone!




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users